Bug 247114 - www/py-django-openid-auth: Deprecate/Set to expire
Summary: www/py-django-openid-auth: Deprecate/Set to expire
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://code.launchpad.net/django-ope...
Keywords: buildisok
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-06-09 15:26 UTC by Kai Knoblich
Modified: 2020-06-27 10:01 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (xenophon+fbsdports)


Attachments
deprecate-py-django-openid-auth.patch (583 bytes, patch)
2020-06-09 15:26 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-06-09 15:26:21 UTC
Created attachment 215394 [details]
deprecate-py-django-openid-auth.patch

Hi,

attached is the patch that deprecates www/py-django-openid-auth and set an expiration date for it because it seems to be no longer compatible with Django 2.0+:

> [...]
>  File "/usr/local/lib/python3.7/site-packages/django_openid_auth/models.py", line 58, in <module>
>    class UserOpenID(models.Model):
>  File "/usr/local/lib/python3.7/site-packages/django_openid_auth/models.py", line 59, in UserOpenID
>    user = models.ForeignKey(settings.AUTH_USER_MODEL)
> TypeError: __init__() missing 1 required positional argument: 'on_delete'

The development of the Python package seems to be abandoned as there are no new releases since 2018 and the port www/py-django-allauth might be  used as an alternative/replacement instead.
Comment 1 Automation User 2020-06-24 00:10:01 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/159423328
Comment 2 Kai Knoblich freebsd_committer 2020-06-27 09:59:27 UTC
Comment on attachment 215394 [details]
deprecate-py-django-openid-auth.patch

^ Triage: Set maintainer-approval to '+' due maintainer's timeout.
Comment 3 commit-hook freebsd_committer 2020-06-27 10:00:37 UTC
A commit references this bug:

Author: kai
Date: Sat Jun 27 09:59:55 UTC 2020
New revision: 540591
URL: https://svnweb.freebsd.org/changeset/ports/540591

Log:
  www/py-django-openid-auth: Deprecate/Set to expire

  * The port is not compatible with Django 2.0+ and it doesn't seem to be
    maintained by upstream anymore.

  PR:		247114
  Approved by:	maintainer timeout (14+ days)

Changes:
  head/www/py-django-openid-auth/Makefile